<div class="container-fluid">
<%= _.template($('#input_constructor').html())({id:"table", description:tr("Database table"), default_selector: "string", disable_int:true, value_string: "", help: {description: tr("Table name, for which operation will be applied"), examples:[{code:"table"},{code:"users"},{code:"accounts"},{code:"materials"}]} }) %>
<%= _.template($('#input_constructor').html())({id:"fields", description:tr("List of fields") + ". " + tr("Can be blank"), default_selector: "string", disable_int:true, value_string: "", help: {description: tr("List of field names to be inserted. Can be used as a constraint to avoid accidentally inserting unnecessary fields.") + " " + tr("Also, this parameter must be specified if the data format is not \"Object list\" or \"Object\" and the order of the fields does not match the table.") + " " + tr("As a list, you can use a string consisting of column names, separated by commas."),examples:[{code:"id,title,url,amount"},{code:"id, title, url, amount"},{code:"[\"id\", \"title\", \"url\", \"amount\"]"},{code:tr("Empty string"), description:tr("Insert all fields, the order of the fields matches the database")}]} }) %>
<%= _.template($('#input_constructor').html())({id:"data", description:tr("Data"), default_selector: "string", disable_int:true, disable_editor:true, disable_string:true, use_textarea:true, size: 8, disable_type_chooser:true, textarea_height:80, help: {description: tr("The data to be inserted into the database.") + " " + tr("You can write strings, numbers, booleans and dates to field.") + " " + tr("Numbers and booleans can be specified as a string and they will be automatically converted to the correct type, and dates are perceived only as a javascript date object."),examples:[{code:"1:test1:true", description:"CSV"},{code:"<br/>[\"1:test1:true\",\"2:test2:false\",\"3:test3:false\"]", description:"CSV list"},{code:"<br/>1:tes1:true<br/>2:test2:false<br/>3:test3:false", description:"CSV string"},{code:"<br/>[1,\"test1\",true]", description:"List"},{code:"<br/>[[1,\"test1\",true],[2,\"test2\",false],[3,\"test3\",false]]", description:"2D list"},{code:"<br/>{\"id\":1,\"name\":\"test1\",\"active\":true}", description:"Object"},{code:"<br/>[{\"id\":1,\"name\":\"test1\",\"active\":true},{\"id\":2,\"name\":\"test2\",\"active\":false},{\"id\":3,\"name\":\"test3\",\"active\":false}]", description:"Object list"}]} }) %>
<%= _.template($('#block_start').html())({id:"Additional", name: tr("Additional settings"), description: ""}) %>
<span data-preserve="true" data-preserve-type="check" data-preserve-id="Check">
	<input type="checkbox" id="Check" checked="checked" style="margin-left:25px"/> <label for="Check" class="tr">Convert data</label> <i class="fa fa-question-circle help-input" data-toggle="tooltip" data-html="true" title="<%= _.escape(_.template($("#tooltip-input").html())({title:tr("Convert data"),description:tr("If enabled, then numbers and booleans can be specified as a string and they will be automatically converted to the correct type."),examples:[{code:tr("Activated"),description:tr("Value") + " <code style=\"font-size:85%\">\"123\"</code> " + tr("will be converted to") + " <code style=\"font-size:85%\">123</code>"},{code:tr("Activated"),description:tr("Value") + " <code style=\"font-size:85%\">\"true\"</code> " + tr("will be converted to") + " <code style=\"font-size:85%\">true</code>"},{code:tr("Deactivated"),description:tr("Don't convert strings to another type")}]})) %>"></i>
</span>
<%= _.template($('#block_end').html())() %>
</div>
<div class="tooltipinternal">
	<div class="tr tooltip-paragraph-first-fold">Insert multiple records into SQL database.</div>
	<div class="tr tooltip-paragraph-fold">In order to execute this action correctly you need to run "Setup connection" action first.</div>
	<div class="tr tooltip-paragraph-fold">If the data format is not "Object list" or "Object" and the order of the fields in the data does not correspond to the database, then the "List of fields" parameter must be specified.</div>
	<div class="tr tooltip-paragraph-fold">This action accepts data in the formats: "CSV", "CSV list", "CSV string", "List", "2D list", "Object", "Object list".</div>
	<div class="tooltip-paragraph-fold"><span class="tr">CSV - a string consisting of field values separated by ":".</span> <span class="tr">Example:</span> <code>1:test1:true</code></div>
	<div class="tooltip-paragraph-fold"><span class="tr">CSV list - a list that consists of CSV lines and CSV line consists of field values separated with ":" symbol.</span> <span class="tr">Example:</span> <code>["1:test1:true","2:test2:false","3:test3:false"]</code></div>
	<div class="tooltip-paragraph-fold"><span class="tr">CSV string - this CSV lines separated by a line break, and consisting of field values separated with ":" symbol.</span> <span class="tr">Example:</span> <code><br/>1:tes1:true<br/>2:test2:false<br/>3:test3:false</code></div>
	<div class="tooltip-paragraph-fold"><span class="tr">List - a list consists the field values.</span> <span class="tr">Example:</span> <code>[1,"test1",true]</code></div>
	<div class="tooltip-paragraph-fold"><span class="tr">2D list - a list that consists of lists containing the field values.</span> <span class="tr">Example:</span> <code>[[1,"test1",true],[2,"test2",false],[3,"test3",false]]</code></div>
	<div class="tooltip-paragraph-fold"><span class="tr">Object - an object, in which the key - a field name and value - the content of the field.</span> <span class="tr">Example:</span> <code>{"id":1,"name":"test1","active":true}</code></div>
	<div class="tr tooltip-paragraph-fold">Object list - a list that consists of objects, in the object the key is the name of the field, and the value is the content of the field.</div>
	<div class="tooltip-paragraph-fold"><span class="tr">Example:</span> <code>[{"id":1,"name":"test1","active":true},{"id":2,"name":"test2","active":false},{"id":3,"name":"test3","active":false}]</code></div>
	<div class="tr tooltip-paragraph-fold">Data in a suitable format can be obtained from the actions: "Select single record", "Select multiple records".</div>
	<div class="tr tooltip-paragraph-fold">Data can be generated manually by using "List" module or "Template" action.</div>
	<div class="tr tooltip-paragraph-fold">The field value can be string, number, boolean or date.</div>
	<div class="tr tooltip-paragraph-fold">Numbers and booleans can be specified as a string and they will be automatically converted to the correct type, and dates are perceived only as a javascript date object.</div>
	<div class="tr tooltip-paragraph-fold">For example, the string <code>"text:123:true"</code> will be automatically converted to values for three cells, the string <code>"text"</code>, the number <code>123</code>, and the boolean <code>true</code>.</div>
	<div class="tr tooltip-paragraph-fold">To disable automatic data conversion, you need to deactivate the "Convert data" parameter located in the additional settings.</div>
	<div class="tr tooltip-paragraph-last-fold">If an error occurred while execute action, the thread will stop with fail message. If you want to continue thread, use "Ignore errors" action.</div>
</div>
<%= _.template($('#back').html())({action:"executeandadd",use_timeout: true, visible:true}) %>
